- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/get#try-it)

Gets an Entry.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/entryGroups/*/entries/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Entry: `projects/{project}/locations/{location}/entryGroups/{entryGroup}/entries/{entry}`. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/EntryView`)`` Optional. View to control which parts of an entry the service should return. **Please check the limitations on returned aspects in the Entry view documentation. Amount of returned aspects depends on the selected Entry View.** |
| `aspectTypes[]` | `string` Optional. Limits the aspects returned to the provided aspect types. It only works for CUSTOM view. |
| `paths[]` | `string` Optional. Limits the aspects returned to those associated with the provided paths within the Entry. It only works for CUSTOM view. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/dataplex.read-write`
- `
  https://www.googleapis.com/auth/dataplex.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).